------------------------------------------------------------------------------------
--Name:			[简体征服][活动脚本]道士剧情1
--Creator:		洪聪敏
--Created:		2021-11-12
------------------------------------------------------------------------------------
-- 设置摄像机指向位置(网格坐标)
--/callluafunc </F>User_PlayPlot</N>304
--/reloadlua Script/zhongqiu3.lua

CppScriptMgr:SetViewPosByCell(32,46)
------------------------------------------------------------------------------------
local Effect_1=CppScriptMgr:AddEffect("100wp_wqbhwl",32,46,33)
Effect_1:Scale(3,3,3)
local Player_2=CppScriptMgr:AddSimplePlayer(31454,45,45,"",0,0)
Player_2:SetDir(2)
Player_2:SetZoomPercent(120)
Player_2:SetHide(1)
local Player_3=CppScriptMgr:AddSimplePlayer(31454,33,58,"",0,0)
Player_3:SetZoomPercent(120)
Player_3:SetDir(4)
Player_3:SetHide(1)
local Player_1=CppScriptMgr:AddSimplePlayer(1055847,32,46,"Chang`e",0,0)
Player_1:SetDir(7)
Player_1:SetZoomPercent(150)
Player_1:AddEffect("zero8159",33)
CppScriptMgr:WaitMilSec(500)
CppScriptMgr:NpcCallOut("We are so far apart! He doesn`t even know I miss him so much!",3000,1,"NPCBust_bg","",320,570,400,580,"NPCBust_NpcZQCe",150,430,"Chang`e",250,655)
Player_1:Say("We are so far apart! He doesn`t even know I miss him so much!",2000)
Player_1:SetAction(170)
CppScriptMgr:WaitMilSec(2000)
Player_2:SetHide(0)
Player_3:SetHide(0)
Player_2:JumpTo(40,45)
Player_3:JumpTo(33,53)
CppScriptMgr:WaitMilSec(1000)
Player_2:JumpTo(35,45)
Player_3:JumpTo(33,48)
CppScriptMgr:WaitMilSec(1500)
CppScriptMgr:NpcCallOut("Don`t cry. I feel so sad!",3000,1,"NPCBust_bg","",320,570,400,580,"NPCBust_NpcZQYt",150,430,"Bunny",250,655)
Player_2:Say("Don`t cry. I feel so sad!",2000)
CppScriptMgr:WaitMilSec(2000)
CppScriptMgr:NpcCallOut("I am here with you!",3000,1,"NPCBust_bg","",320,570,400,580,"NPCBust_NpcZQYt",150,430,"Bunny",250,655)
Player_3:Say("I am here with you!",2000)
CppScriptMgr:WaitMilSec(2000)
